<template>
    <div class="w-10 flex flex-column h-auto m-auto">
        <h5 class="text-lg text-white-alpha-90">Actual Password</h5>
        <Password v-model="oldPassword" :toggleMask="true" class="p-password-panel p-0 m-0 flex justify-content-center mt-1" inputClass="w-full" :feedback="false"/>
        <h5 class="mt-3 text-lg text-white-alpha-90">New Password</h5>
        <Password v-model="newPassword" :toggleMask="true" class="p-password-panel p-0 m-0 flex justify-content-center mt-1" inputClass="w-full"/>
        <h5 class="mt-3 text-lg text-white-alpha-90">Confirm Password</h5>
        <Password v-model="confirmPassword" :toggleMask="true" class="p-password-panel p-0 m-0 flex justify-content-center mt-1" inputClass="w-full"/>
        <Button class="mt-5" label="Change Password" @click="changePassword"></Button>
    </div>
</template>

<script>
import Button from 'primevue/button';
import Password from 'primevue/password';

export default {
    name: 'changePassword',
    data() {
        return {
            oldPassword: null,
            newPassword: null,
            confirmPassword: null,
        }
    },
    components: {
        Button,
        Password
    },
}
</script>

<style scoped>

</style>